Skip to navigation

Update Assessment Order

View as Markdown
Partner Restricted

All assessment API endpoints are restricted to assessment providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This endpoint updates the Assessment Order status for the given companyId and OrderId. The patch operation on the candidate status endpoint allows you to update the status of the overall assessment order (package) and the related tests. You can also send the URL where the PCTY user can view the complete assessment result.

Use Cases

  • Customizable Endpoints: The Partner would use this to provide a general endpoint for all Paylocity clients by specifying b6001
  • Notification Management: The Partner would use this endpoint to receive notifications about new orders, errors, and job creation events
  • Please note: When using the ‘Complete’ statuses (Complete, Complete- Review, Expired) on Assessment level, all tests statuses must be in a ‘Complete’ status as well (Complete, Retest Recommended, Expired). See the Order Overview page for more information

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

orderIdstringRequired
Assessment order identifier.

Headers

testModestringOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Request

Request payload for this operation. See the official endpoint documentation for required fields and allowable values.

Response

Successful response

Errors

401
Unauthorized Error